from sqlalchemy import Column, create_engine, func, ForeignKey
from sqlalchemy.dialects.postgresql import UUID, VARCHAR, TIMESTAMP, SMALLINT, JSONB, TEXT
from sqlalchemy.ext.declarative import declarative_base
from uuid import uuid4

Base = declarative_base()

class Workers(Base):
    __tablename__ = "workers"

    uuid = Column(UUID(as_uuid=True),primary_key=True,default=uuid4)
    persona = Column(VARCHAR(12))
    name = Column(VARCHAR(50))
    last_name = Column(VARCHAR(50))
    email = Column(VARCHAR(150))
    username = Column(VARCHAR(30))
    status = Column(SMALLINT)
    logged_at = Column(TIMESTAMP)
    session_deadline = Column(TIMESTAMP)
    created_at = Column(TIMESTAMP,server_default=func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("postgresql://dev:rUtbkp6uE752Amsw@35.223.124.237:5432/task_handler")
    Base.metadata.create_all(bind=engine)